Subject: Re: bug#54646: 29.0.50; set-fontset-font and font clipping issues

From: Eli Zaretskii <[email-masked]>
Date: Sun, 12 Jun 2022 08:53:53 +0300

> From: Visuwesh <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 11 Jun 2022 19:24:16 +0530
> 
> I think this might be a cairo+pango problem.

I don't see how Pango could be relevant: AFAIK we don't use any of it
in Emacs.

It could be a Cairo issue, in which case it is somewhere in the bowels
of Cairo, not in Emacs code proper.

> My suspicion is due to this bug report
> https://github.com/harfbuzz/harfbuzz/issues/1892 -- although I don't
> see the problem with English text as shown in the screenshots.

If this is the same issue, how come you sometimes see correctly laid
out text and sometimes incorrectly laid out text?  Emacs doesn't
change anything in both situation, and I'm not aware of any handling
of "hinting" on our side.